/* Nabi - X Input Method server for hangul
 * Copyright (C) 2003 Choe Hwanjin
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

static const unsigned short int symbol_1100[] = {
    0x1100,   /* key */
    0x3000,   /* IDEOGRAPHIC SPACE */
    0xFF01,   /* FULLWIDTH EXCLAMATION MARK */
    0xFF07,   /* FULLWIDTH APOSTROPHE */
    0xFF0C,   /* FULLWIDTH COMMA */
    0xFF0E,   /* FULLWIDTH FULL STOP */
    0xFF0F,   /* FULLWIDTH SOLIDUS */
    0xFF1A,   /* FULLWIDTH COLON */
    0xFF1B,   /* FULLWIDTH SEMICOLON */
    0xFF1F,   /* FULLWIDTH QUESTION MARK */
    0xFF3E,   /* FULLWIDTH CIRCUMFLEX ACCENT */
    0xFF3F,   /* FULLWIDTH LOW LINE */
    0xFF40,   /* FULLWIDTH GRAVE ACCENT */
    0xFF5C,   /* FULLWIDTH VERTICAL LINE */
    0xFFE3,   /* FULLWIDTH MACRON */
    0x3001,   /* IDEOGRAPHIC COMMA */
    0x3002,   /* IDEOGRAPHIC FULL STOP */
    0x00B7,   /* MIDDLE DOT */
    0x2025,   /* TWO DOT LEADER */
    0x2026,   /* HORIZONTAL ELLIPSIS */
    0x00A8,   /* DIAERESIS */
    0x2015,   /* HORIZONTAL BAR */
    0x2225,   /* PARALLEL TO */
    0xFF3C,   /* FULLWIDTH REVERSE SOLIDUS */
    0x223C,   /* TILDE OPERATOR */
    0x00B4,   /* ACUTE ACCENT */
    0xFF5E,   /* FULLWIDTH TILDE */
    0x02C7,   /* CARON */
    0x02D8,   /* BREVE */
    0x02DD,   /* DOUBLE ACUTE ACCENT */
    0x02DA,   /* RING ABOVE */
    0x02D9,   /* DOT ABOVE */
    0x00B8,   /* CEDILLA */
    0x02DB,   /* OGONEK */
    0x00A1,   /* INVERTED EXCLAMATION MARK */
    0x00BF,   /* INVERTED QUESTION MARK */
    0x02D0,   /* MODIFIER LETTER TRIANGULAR COLON */
    0
};

static const unsigned short int symbol_1102[] = {
    0x1102,   /* key */
    0x3003,   /* DITTO MARK */
    0xFF08,   /* FULLWIDTH LEFT PARENTHESIS */
    0xFF09,   /* FULLWIDTH RIGHT PARENTHESIS */
    0xFF3B,   /* FULLWIDTH LEFT SQUARE BRACKET */
    0xFF3D,   /* FULLWIDTH RIGHT SQUARE BRACKET */
    0xFF5B,   /* FULLWIDTH LEFT CURLY BRACKET */
    0xFF5D,   /* FULLWIDTH RIGHT CURLY BRACKET */
    0x2018,   /* LEFT SINGLE QUOTATION MARK */
    0x2019,   /* RIGHT SINGLE QUOTATION MARK */
    0x201C,   /* LEFT DOUBLE QUOTATION MARK */
    0x201D,   /* RIGHT DOUBLE QUOTATION MARK */
    0x3014,   /* LEFT TORTOISE SHELL BRACKET */
    0x3015,   /* RIGHT TORTOISE SHELL BRACKET */
    0x3008,   /* LEFT ANGLE BRACKET */
    0x3009,   /* RIGHT ANGLE BRACKET */
    0x300A,   /* LEFT DOUBLE ANGLE BRACKET */
    0x300B,   /* RIGHT DOUBLE ANGLE BRACKET */
    0x300C,   /* LEFT CORNER BRACKET */
    0x300D,   /* RIGHT CORNER BRACKET */
    0x300E,   /* LEFT WHITE CORNER BRACKET */
    0x300F,   /* RIGHT WHITE CORNER BRACKET */
    0x3010,   /* LEFT BLACK LENTICULAR BRACKET */
    0x3011,   /* RIGHT BLACK LENTICULAR BRACKET */
    0x3013,   /* GETA MARK */
    0
};

static const unsigned short int symbol_1103[] = {
    0x1103,   /* key */
    0xFF0B,   /* FULLWIDTH PLUS SIGN */
    0xFF0D,   /* FULLWIDTH HYPHEN-MINUS */
    0xFF1C,   /* FULLWIDTH LESS-THAN SIGN */
    0xFF1D,   /* FULLWIDTH EQUALS SIGN */
    0xFF1E,   /* FULLWIDTH GREATER-THAN SIGN */
    0x00B1,   /* PLUS-MINUS SIGN */
    0x00D7,   /* MULTIPLICATION SIGN */
    0x00F7,   /* DIVISION SIGN */
    0x2260,   /* NOT EQUAL TO */
    0x2264,   /* LESS-THAN OR EQUAL TO */
    0x2265,   /* GREATER-THAN OR EQUAL TO */
    0x221E,   /* INFINITY */
    0x2234,   /* THEREFORE */
    0x2642,   /* MALE SIGN */
    0x2640,   /* FEMALE SIGN */
    0x2220,   /* ANGLE */
    0x22A5,   /* UP TACK */
    0x2312,   /* ARC */
    0x2202,   /* PARTIAL DIFFERENTIAL */
    0x2207,   /* NABLA */
    0x2261,   /* IDENTICAL TO */
    0x2252,   /* APPROXIMATELY EQUAL TO OR THE IMAGE OF */
    0x226A,   /* MUCH LESS-THAN */
    0x226B,   /* MUCH GREATER-THAN */
    0x221A,   /* SQUARE ROOT */
    0x223D,   /* REVERSED TILDE */
    0x221D,   /* PROPORTIONAL TO */
    0x2235,   /* BECAUSE */
    0x222B,   /* INTEGRAL */
    0x222C,   /* DOUBLE INTEGRAL */
    0x2208,   /* ELEMENT OF */
    0x220B,   /* CONTAINS AS MEMBER */
    0x2286,   /* SUBSET OF OR EQUAL TO */
    0x2287,   /* SUPERSET OF OR EQUAL TO */
    0x2282,   /* SUBSET OF */
    0x2283,   /* SUPERSET OF */
    0x222A,   /* UNION */
    0x2229,   /* INTERSECTION */
    0x2227,   /* LOGICAL AND */
    0x2228,   /* LOGICAL OR */
    0xFFE2,   /* FULLWIDTH NOT SIGN */
    0x21D2,   /* RIGHTWARDS DOUBLE ARROW */
    0x21D4,   /* LEFT RIGHT DOUBLE ARROW */
    0x2200,   /* FOR ALL */
    0x2203,   /* THERE EXISTS */
    0x222E,   /* CONTOUR INTEGRAL */
    0x2211,   /* N-ARY SUMMATION */
    0x220F,   /* N-ARY PRODUCT */
    0
};

static const unsigned short int symbol_1105[] = {
    0x1105,   /* key */
    0xFF04,   /* FULLWIDTH DOLLAR SIGN */
    0xFF05,   /* FULLWIDTH PERCENT SIGN */
    0xFFE6,   /* FULLWIDTH WON SIGN */
    0x2109,   /* DEGREE FAHRENHEIT */
    0x00B0,   /* DEGREE SIGN */
    0x2032,   /* PRIME */
    0x2033,   /* DOUBLE PRIME */
    0x2103,   /* DEGREE CELSIUS */
    0x212B,   /* ANGSTROM SIGN */
    0x2030,   /* PER MILLE SIGN */
    0xFFE0,   /* FULLWIDTH CENT SIGN */
    0xFFE1,   /* FULLWIDTH POUND SIGN */
    0xFFE5,   /* FULLWIDTH YEN SIGN */
    0x3395,   /* SQUARE MU L */
    0x3396,   /* SQUARE ML */
    0x3397,   /* SQUARE DL */
    0x2113,   /* SCRIPT SMALL L */
    0x3398,   /* SQUARE KL */
    0x33C4,   /* SQUARE CC */
    0x33A3,   /* SQUARE MM CUBED */
    0x33A4,   /* SQUARE CM CUBED */
    0x33A5,   /* SQUARE M CUBED */
    0x33A6,   /* SQUARE KM CUBED */
    0x3399,   /* SQUARE FM */
    0x339A,   /* SQUARE NM */
    0x339B,   /* SQUARE MU M */
    0x339C,   /* SQUARE MM */
    0x339D,   /* SQUARE CM */
    0x339E,   /* SQUARE KM */
    0x339F,   /* SQUARE MM SQUARED */
    0x33A0,   /* SQUARE CM SQUARED */
    0x33A1,   /* SQUARE M SQUARED */
    0x33A2,   /* SQUARE KM SQUARED */
    0x33CA,   /* SQUARE HA */
    0x338D,   /* SQUARE MU G */
    0x338E,   /* SQUARE MG */
    0x338F,   /* SQUARE KG */
    0x33CF,   /* SQUARE KT */
    0x3388,   /* SQUARE CAL */
    0x3389,   /* SQUARE KCAL */
    0x33C8,   /* SQUARE DB */
    0x33A7,   /* SQUARE M OVER S */
    0x33A8,   /* SQUARE M OVER S SQUARED */
    0x33B0,   /* SQUARE PS */
    0x33B1,   /* SQUARE NS */
    0x33B2,   /* SQUARE MU S */
    0x33B3,   /* SQUARE MS */
    0x33B4,   /* SQUARE PV */
    0x33B5,   /* SQUARE NV */
    0x33B6,   /* SQUARE MU V */
    0x33B7,   /* SQUARE MV */
    0x33B8,   /* SQUARE KV */
    0x33B9,   /* SQUARE MV MEGA */
    0x3380,   /* SQUARE PA AMPS */
    0x3381,   /* SQUARE NA */
    0x3382,   /* SQUARE MU A */
    0x3383,   /* SQUARE MA */
    0x3384,   /* SQUARE KA */
    0x33BA,   /* SQUARE PW */
    0x33BB,   /* SQUARE NW */
    0x33BC,   /* SQUARE MU W */
    0x33BD,   /* SQUARE MW */
    0x33BE,   /* SQUARE KW */
    0x33BF,   /* SQUARE MW MEGA */
    0x3390,   /* SQUARE HZ */
    0x3391,   /* SQUARE KHZ */
    0x3392,   /* SQUARE MHZ */
    0x3393,   /* SQUARE GHZ */
    0x3394,   /* SQUARE THZ */
    0x2126,   /* OHM SIGN */
    0x33C0,   /* SQUARE K OHM */
    0x33C1,   /* SQUARE M OHM */
    0x338A,   /* SQUARE PF */
    0x338B,   /* SQUARE NF */
    0x338C,   /* SQUARE MU F */
    0x33D6,   /* SQUARE MOL */
    0x33C5,   /* SQUARE CD */
    0x33AD,   /* SQUARE RAD */
    0x33AE,   /* SQUARE RAD OVER S */
    0x33AF,   /* SQUARE RAD OVER S SQUARED */
    0x33DB,   /* SQUARE SR */
    0x33A9,   /* SQUARE PA */
    0x33AA,   /* SQUARE KPA */
    0x33AB,   /* SQUARE MPA */
    0x33AC,   /* SQUARE GPA */
    0x33DD,   /* SQUARE WB */
    0x33D0,   /* SQUARE LM */
    0x33D3,   /* SQUARE LX */
    0x33C3,   /* SQUARE BQ */
    0x33C9,   /* SQUARE GY */
    0x33DC,   /* SQUARE SV */
    0x33C6,   /* SQUARE C OVER KG */
    0
};

static const unsigned short int symbol_1106[] = {
    0x1106,   /* key */
    0xFF03,   /* FULLWIDTH NUMBER SIGN */
    0xFF06,   /* FULLWIDTH AMPERSAND */
    0xFF0A,   /* FULLWIDTH ASTERISK */
    0xFF20,   /* FULLWIDTH COMMERCIAL AT */
    0x00A7,   /* SECTION SIGN */
    0x203B,   /* REFERENCE MARK */
    0x2606,   /* WHITE STAR */
    0x2605,   /* BLACK STAR */
    0x25CB,   /* WHITE CIRCLE */
    0x25CF,   /* BLACK CIRCLE */
    0x25CE,   /* BULLSEYE */
    0x25C7,   /* WHITE DIAMOND */
    0x25C6,   /* BLACK DIAMOND */
    0x25A1,   /* WHITE SQUARE */
    0x25A0,   /* BLACK SQUARE */
    0x25B3,   /* WHITE UP-POINTING TRIANGLE */
    0x25B2,   /* BLACK UP-POINTING TRIANGLE */
    0x25BD,   /* WHITE DOWN-POINTING TRIANGLE */
    0x25BC,   /* BLACK DOWN-POINTING TRIANGLE */
    0x2192,   /* RIGHTWARDS ARROW */
    0x2190,   /* LEFTWARDS ARROW */
    0x2191,   /* UPWARDS ARROW */
    0x2193,   /* DOWNWARDS ARROW */
    0x2194,   /* LEFT RIGHT ARROW */
    0x25C1,   /* WHITE LEFT-POINTING TRIANGLE */
    0x25C0,   /* BLACK LEFT-POINTING TRIANGLE */
    0x25B7,   /* WHITE RIGHT-POINTING TRIANGLE */
    0x25B6,   /* BLACK RIGHT-POINTING TRIANGLE */
    0x2664,   /* WHITE SPADE SUIT */
    0x2660,   /* BLACK SPADE SUIT */
    0x2661,   /* WHITE HEART SUIT */
    0x2665,   /* BLACK HEART SUIT */
    0x2667,   /* WHITE CLUB SUIT */
    0x2663,   /* BLACK CLUB SUIT */
    0x2299,   /* CIRCLED DOT OPERATOR */
    0x25C8,   /* WHITE DIAMOND CONTAINING BLACK SMALL DIAMOND */
    0x25A3,   /* WHITE SQUARE CONTAINING BLACK SMALL SQUARE */
    0x25D0,   /* CIRCLE WITH LEFT HALF BLACK */
    0x25D1,   /* CIRCLE WITH RIGHT HALF BLACK */
    0x2592,   /* MEDIUM SHADE */
    0x25A4,   /* SQUARE WITH HORIZONTAL FILL */
    0x25A5,   /* SQUARE WITH VERTICAL FILL */
    0x25A8,   /* SQUARE WITH UPPER RIGHT TO LOWER LEFT FILL */
    0x25A7,   /* SQUARE WITH UPPER LEFT TO LOWER RIGHT FILL */
    0x25A6,   /* SQUARE WITH ORTHOGONAL CROSSHATCH FILL */
    0x25A9,   /* SQUARE WITH DIAGONAL CROSSHATCH FILL */
    0x2668,   /* HOT SPRINGS */
    0x260F,   /* WHITE TELEPHONE */
    0x260E,   /* BLACK TELEPHONE */
    0x261C,   /* WHITE LEFT POINTING INDEX */
    0x261E,   /* WHITE RIGHT POINTING INDEX */
    0x00B6,   /* PILCROW SIGN */
    0x2020,   /* DAGGER */
    0x2021,   /* DOUBLE DAGGER */
    0x2195,   /* UP DOWN ARROW */
    0x2197,   /* NORTH EAST ARROW */
    0x2199,   /* SOUTH WEST ARROW */
    0x2196,   /* NORTH WEST ARROW */
    0x2198,   /* SOUTH EAST ARROW */
    0x266D,   /* MUSIC FLAT SIGN */
    0x2669,   /* QUARTER NOTE */
    0x266A,   /* EIGHTH NOTE */
    0x266C,   /* BEAMED SIXTEENTH NOTES */
    0x327F,   /* KOREAN STANDARD SYMBOL */
    0x321C,   /* PARENTHESIZED HANGUL CIEUC U */
    0x2116,   /* NUMERO SIGN */
    0x33C7,   /* SQUARE CO */
    0x2122,   /* TRADE MARK SIGN */
    0x33C2,   /* SQUARE AM */
    0x33D8,   /* SQUARE PM */
    0x2121,   /* TELEPHONE SIGN */
    0
};

static const unsigned short int symbol_1107[] = {
    0x1107,   /* key */
    0x2500,   /* BOX DRAWINGS LIGHT HORIZONTAL */
    0x2502,   /* BOX DRAWINGS LIGHT VERTICAL */
    0x250C,   /* BOX DRAWINGS LIGHT DOWN AND RIGHT */
    0x2510,   /* BOX DRAWINGS LIGHT DOWN AND LEFT */
    0x2518,   /* BOX DRAWINGS LIGHT UP AND LEFT */
    0x2514,   /* BOX DRAWINGS LIGHT UP AND RIGHT */
    0x251C,   /* BOX DRAWINGS LIGHT VERTICAL AND RIGHT */
    0x252C,   /* BOX DRAWINGS LIGHT DOWN AND HORIZONTAL */
    0x2524,   /* BOX DRAWINGS LIGHT VERTICAL AND LEFT */
    0x2534,   /* BOX DRAWINGS LIGHT UP AND HORIZONTAL */
    0x253C,   /* BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL */
    0x2501,   /* BOX DRAWINGS HEAVY HORIZONTAL */
    0x2503,   /* BOX DRAWINGS HEAVY VERTICAL */
    0x250F,   /* BOX DRAWINGS HEAVY DOWN AND RIGHT */
    0x2513,   /* BOX DRAWINGS HEAVY DOWN AND LEFT */
    0x251B,   /* BOX DRAWINGS HEAVY UP AND LEFT */
    0x2517,   /* BOX DRAWINGS HEAVY UP AND RIGHT */
    0x2523,   /* BOX DRAWINGS HEAVY VERTICAL AND RIGHT */
    0x2533,   /* BOX DRAWINGS HEAVY DOWN AND HORIZONTAL */
    0x252B,   /* BOX DRAWINGS HEAVY VERTICAL AND LEFT */
    0x253B,   /* BOX DRAWINGS HEAVY UP AND HORIZONTAL */
    0x254B,   /* BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL */
    0x2520,   /* BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT */
    0x252F,   /* BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY */
    0x2528,   /* BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT */
    0x2537,   /* BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY */
    0x253F,   /* BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY */
    0x251D,   /* BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY */
    0x2530,   /* BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT */
    0x2525,   /* BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY */
    0x2538,   /* BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT */
    0x2542,   /* BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT */
    0x2512,   /* BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT */
    0x2511,   /* BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY */
    0x251A,   /* BOX DRAWINGS UP HEAVY AND LEFT LIGHT */
    0x2519,   /* BOX DRAWINGS UP LIGHT AND LEFT HEAVY */
    0x2516,   /* BOX DRAWINGS UP HEAVY AND RIGHT LIGHT */
    0x2515,   /* BOX DRAWINGS UP LIGHT AND RIGHT HEAVY */
    0x250E,   /* BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT */
    0x250D,   /* BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY */
    0x251E,   /* BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT */
    0x251F,   /* BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT */
    0x2521,   /* BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY */
    0x2522,   /* BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY */
    0x2526,   /* BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT */
    0x2527,   /* BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT */
    0x2529,   /* BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY */
    0x252A,   /* BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY */
    0x252D,   /* BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT */
    0x252E,   /* BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT */
    0x2531,   /* BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY */
    0x2532,   /* BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY */
    0x2535,   /* BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT */
    0x2536,   /* BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT */
    0x2539,   /* BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY */
    0x253A,   /* BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY */
    0x253D,   /* BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT */
    0x253E,   /* BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT */
    0x2540,   /* BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT */
    0x2541,   /* BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT */
    0x2543,   /* BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT */
    0x2544,   /* BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT */
    0x2545,   /* BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT */
    0x2546,   /* BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT */
    0x2547,   /* BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY */
    0x2548,   /* BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY */
    0x2549,   /* BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY */
    0x254A,   /* BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY */
    0
};

static const unsigned short int symbol_1109[] = {
    0x1109,   /* key */
    0x3260,   /* CIRCLED HANGUL KIYEOK */
    0x3261,   /* CIRCLED HANGUL NIEUN */
    0x3262,   /* CIRCLED HANGUL TIKEUT */
    0x3263,   /* CIRCLED HANGUL RIEUL */
    0x3264,   /* CIRCLED HANGUL MIEUM */
    0x3265,   /* CIRCLED HANGUL PIEUP */
    0x3266,   /* CIRCLED HANGUL SIOS */
    0x3267,   /* CIRCLED HANGUL IEUNG */
    0x3268,   /* CIRCLED HANGUL CIEUC */
    0x3269,   /* CIRCLED HANGUL CHIEUCH */
    0x326A,   /* CIRCLED HANGUL KHIEUKH */
    0x326B,   /* CIRCLED HANGUL THIEUTH */
    0x326C,   /* CIRCLED HANGUL PHIEUPH */
    0x326D,   /* CIRCLED HANGUL HIEUH */
    0x326E,   /* CIRCLED HANGUL KIYEOK A */
    0x326F,   /* CIRCLED HANGUL NIEUN A */
    0x3270,   /* CIRCLED HANGUL TIKEUT A */
    0x3271,   /* CIRCLED HANGUL RIEUL A */
    0x3272,   /* CIRCLED HANGUL MIEUM A */
    0x3273,   /* CIRCLED HANGUL PIEUP A */
    0x3274,   /* CIRCLED HANGUL SIOS A */
    0x3275,   /* CIRCLED HANGUL IEUNG A */
    0x3276,   /* CIRCLED HANGUL CIEUC A */
    0x3277,   /* CIRCLED HANGUL CHIEUCH A */
    0x3278,   /* CIRCLED HANGUL KHIEUKH A */
    0x3279,   /* CIRCLED HANGUL THIEUTH A */
    0x327A,   /* CIRCLED HANGUL PHIEUPH A */
    0x327B,   /* CIRCLED HANGUL HIEUH A */
    0x3200,   /* PARENTHESIZED HANGUL KIYEOK */
    0x3201,   /* PARENTHESIZED HANGUL NIEUN */
    0x3202,   /* PARENTHESIZED HANGUL TIKEUT */
    0x3203,   /* PARENTHESIZED HANGUL RIEUL */
    0x3204,   /* PARENTHESIZED HANGUL MIEUM */
    0x3205,   /* PARENTHESIZED HANGUL PIEUP */
    0x3206,   /* PARENTHESIZED HANGUL SIOS */
    0x3207,   /* PARENTHESIZED HANGUL IEUNG */
    0x3208,   /* PARENTHESIZED HANGUL CIEUC */
    0x3209,   /* PARENTHESIZED HANGUL CHIEUCH */
    0x320A,   /* PARENTHESIZED HANGUL KHIEUKH */
    0x320B,   /* PARENTHESIZED HANGUL THIEUTH */
    0x320C,   /* PARENTHESIZED HANGUL PHIEUPH */
    0x320D,   /* PARENTHESIZED HANGUL HIEUH */
    0x320E,   /* PARENTHESIZED HANGUL KIYEOK A */
    0x320F,   /* PARENTHESIZED HANGUL NIEUN A */
    0x3210,   /* PARENTHESIZED HANGUL TIKEUT A */
    0x3211,   /* PARENTHESIZED HANGUL RIEUL A */
    0x3212,   /* PARENTHESIZED HANGUL MIEUM A */
    0x3213,   /* PARENTHESIZED HANGUL PIEUP A */
    0x3214,   /* PARENTHESIZED HANGUL SIOS A */
    0x3215,   /* PARENTHESIZED HANGUL IEUNG A */
    0x3216,   /* PARENTHESIZED HANGUL CIEUC A */
    0x3217,   /* PARENTHESIZED HANGUL CHIEUCH A */
    0x3218,   /* PARENTHESIZED HANGUL KHIEUKH A */
    0x3219,   /* PARENTHESIZED HANGUL THIEUTH A */
    0x321A,   /* PARENTHESIZED HANGUL PHIEUPH A */
    0x321B,   /* PARENTHESIZED HANGUL HIEUH A */
    0
};

static const unsigned short int symbol_110b[] = {
    0x110b,   /* key */
    0x24D0,   /* CIRCLED LATIN SMALL LETTER A */
    0x24D1,   /* CIRCLED LATIN SMALL LETTER B */
    0x24D2,   /* CIRCLED LATIN SMALL LETTER C */
    0x24D3,   /* CIRCLED LATIN SMALL LETTER D */
    0x24D4,   /* CIRCLED LATIN SMALL LETTER E */
    0x24D5,   /* CIRCLED LATIN SMALL LETTER F */
    0x24D6,   /* CIRCLED LATIN SMALL LETTER G */
    0x24D7,   /* CIRCLED LATIN SMALL LETTER H */
    0x24D8,   /* CIRCLED LATIN SMALL LETTER I */
    0x24D9,   /* CIRCLED LATIN SMALL LETTER J */
    0x24DA,   /* CIRCLED LATIN SMALL LETTER K */
    0x24DB,   /* CIRCLED LATIN SMALL LETTER L */
    0x24DC,   /* CIRCLED LATIN SMALL LETTER M */
    0x24DD,   /* CIRCLED LATIN SMALL LETTER N */
    0x24DE,   /* CIRCLED LATIN SMALL LETTER O */
    0x24DF,   /* CIRCLED LATIN SMALL LETTER P */
    0x24E0,   /* CIRCLED LATIN SMALL LETTER Q */
    0x24E1,   /* CIRCLED LATIN SMALL LETTER R */
    0x24E2,   /* CIRCLED LATIN SMALL LETTER S */
    0x24E3,   /* CIRCLED LATIN SMALL LETTER T */
    0x24E4,   /* CIRCLED LATIN SMALL LETTER U */
    0x24E5,   /* CIRCLED LATIN SMALL LETTER V */
    0x24E6,   /* CIRCLED LATIN SMALL LETTER W */
    0x24E7,   /* CIRCLED LATIN SMALL LETTER X */
    0x24E8,   /* CIRCLED LATIN SMALL LETTER Y */
    0x24E9,   /* CIRCLED LATIN SMALL LETTER Z */
    0x2460,   /* CIRCLED DIGIT ONE */
    0x2461,   /* CIRCLED DIGIT TWO */
    0x2462,   /* CIRCLED DIGIT THREE */
    0x2463,   /* CIRCLED DIGIT FOUR */
    0x2464,   /* CIRCLED DIGIT FIVE */
    0x2465,   /* CIRCLED DIGIT SIX */
    0x2466,   /* CIRCLED DIGIT SEVEN */
    0x2467,   /* CIRCLED DIGIT EIGHT */
    0x2468,   /* CIRCLED DIGIT NINE */
    0x2469,   /* CIRCLED NUMBER TEN */
    0x246A,   /* CIRCLED NUMBER ELEVEN */
    0x246B,   /* CIRCLED NUMBER TWELVE */
    0x246C,   /* CIRCLED NUMBER THIRTEEN */
    0x246D,   /* CIRCLED NUMBER FOURTEEN */
    0x246E,   /* CIRCLED NUMBER FIFTEEN */
    0x249C,   /* PARENTHESIZED LATIN SMALL LETTER A */
    0x249D,   /* PARENTHESIZED LATIN SMALL LETTER B */
    0x249E,   /* PARENTHESIZED LATIN SMALL LETTER C */
    0x249F,   /* PARENTHESIZED LATIN SMALL LETTER D */
    0x24A0,   /* PARENTHESIZED LATIN SMALL LETTER E */
    0x24A1,   /* PARENTHESIZED LATIN SMALL LETTER F */
    0x24A2,   /* PARENTHESIZED LATIN SMALL LETTER G */
    0x24A3,   /* PARENTHESIZED LATIN SMALL LETTER H */
    0x24A4,   /* PARENTHESIZED LATIN SMALL LETTER I */
    0x24A5,   /* PARENTHESIZED LATIN SMALL LETTER J */
    0x24A6,   /* PARENTHESIZED LATIN SMALL LETTER K */
    0x24A7,   /* PARENTHESIZED LATIN SMALL LETTER L */
    0x24A8,   /* PARENTHESIZED LATIN SMALL LETTER M */
    0x24A9,   /* PARENTHESIZED LATIN SMALL LETTER N */
    0x24AA,   /* PARENTHESIZED LATIN SMALL LETTER O */
    0x24AB,   /* PARENTHESIZED LATIN SMALL LETTER P */
    0x24AC,   /* PARENTHESIZED LATIN SMALL LETTER Q */
    0x24AD,   /* PARENTHESIZED LATIN SMALL LETTER R */
    0x24AE,   /* PARENTHESIZED LATIN SMALL LETTER S */
    0x24AF,   /* PARENTHESIZED LATIN SMALL LETTER T */
    0x24B0,   /* PARENTHESIZED LATIN SMALL LETTER U */
    0x24B1,   /* PARENTHESIZED LATIN SMALL LETTER V */
    0x24B2,   /* PARENTHESIZED LATIN SMALL LETTER W */
    0x24B3,   /* PARENTHESIZED LATIN SMALL LETTER X */
    0x24B4,   /* PARENTHESIZED LATIN SMALL LETTER Y */
    0x24B5,   /* PARENTHESIZED LATIN SMALL LETTER Z */
    0x2474,   /* PARENTHESIZED DIGIT ONE */
    0x2475,   /* PARENTHESIZED DIGIT TWO */
    0x2476,   /* PARENTHESIZED DIGIT THREE */
    0x2477,   /* PARENTHESIZED DIGIT FOUR */
    0x2478,   /* PARENTHESIZED DIGIT FIVE */
    0x2479,   /* PARENTHESIZED DIGIT SIX */
    0x247A,   /* PARENTHESIZED DIGIT SEVEN */
    0x247B,   /* PARENTHESIZED DIGIT EIGHT */
    0x247C,   /* PARENTHESIZED DIGIT NINE */
    0x247D,   /* PARENTHESIZED NUMBER TEN */
    0x247E,   /* PARENTHESIZED NUMBER ELEVEN */
    0x247F,   /* PARENTHESIZED NUMBER TWELVE */
    0x2480,   /* PARENTHESIZED NUMBER THIRTEEN */
    0x2481,   /* PARENTHESIZED NUMBER FOURTEEN */
    0x2482,   /* PARENTHESIZED NUMBER FIFTEEN */
    0
};

static const unsigned short int symbol_110c[] = {
    0x110c,   /* key */
    0xFF10,   /* FULLWIDTH DIGIT ZERO */
    0xFF11,   /* FULLWIDTH DIGIT ONE */
    0xFF12,   /* FULLWIDTH DIGIT TWO */
    0xFF13,   /* FULLWIDTH DIGIT THREE */
    0xFF14,   /* FULLWIDTH DIGIT FOUR */
    0xFF15,   /* FULLWIDTH DIGIT FIVE */
    0xFF16,   /* FULLWIDTH DIGIT SIX */
    0xFF17,   /* FULLWIDTH DIGIT SEVEN */
    0xFF18,   /* FULLWIDTH DIGIT EIGHT */
    0xFF19,   /* FULLWIDTH DIGIT NINE */
    0x2170,   /* SMALL ROMAN NUMERAL ONE */
    0x2171,   /* SMALL ROMAN NUMERAL TWO */
    0x2172,   /* SMALL ROMAN NUMERAL THREE */
    0x2173,   /* SMALL ROMAN NUMERAL FOUR */
    0x2174,   /* SMALL ROMAN NUMERAL FIVE */
    0x2175,   /* SMALL ROMAN NUMERAL SIX */
    0x2176,   /* SMALL ROMAN NUMERAL SEVEN */
    0x2177,   /* SMALL ROMAN NUMERAL EIGHT */
    0x2178,   /* SMALL ROMAN NUMERAL NINE */
    0x2179,   /* SMALL ROMAN NUMERAL TEN */
    0x2160,   /* ROMAN NUMERAL ONE */
    0x2161,   /* ROMAN NUMERAL TWO */
    0x2162,   /* ROMAN NUMERAL THREE */
    0x2163,   /* ROMAN NUMERAL FOUR */
    0x2164,   /* ROMAN NUMERAL FIVE */
    0x2165,   /* ROMAN NUMERAL SIX */
    0x2166,   /* ROMAN NUMERAL SEVEN */
    0x2167,   /* ROMAN NUMERAL EIGHT */
    0x2168,   /* ROMAN NUMERAL NINE */
    0x2169,   /* ROMAN NUMERAL TEN */
    0
};

static const unsigned short int symbol_110e[] = {
    0x110e,   /* key */
    0x00BD,   /* VULGAR FRACTION ONE HALF */
    0x2153,   /* VULGAR FRACTION ONE THIRD */
    0x2154,   /* VULGAR FRACTION TWO THIRDS */
    0x00BC,   /* VULGAR FRACTION ONE QUARTER */
    0x00BE,   /* VULGAR FRACTION THREE QUARTERS */
    0x215B,   /* VULGAR FRACTION ONE EIGHTH */
    0x215C,   /* VULGAR FRACTION THREE EIGHTHS */
    0x215D,   /* VULGAR FRACTION FIVE EIGHTHS */
    0x215E,   /* VULGAR FRACTION SEVEN EIGHTHS */
    0x00B9,   /* SUPERSCRIPT ONE */
    0x00B2,   /* SUPERSCRIPT TWO */
    0x00B3,   /* SUPERSCRIPT THREE */
    0x2074,   /* SUPERSCRIPT FOUR */
    0x207F,   /* SUPERSCRIPT LATIN SMALL LETTER N */
    0x2081,   /* SUBSCRIPT ONE */
    0x2082,   /* SUBSCRIPT TWO */
    0x2083,   /* SUBSCRIPT THREE */
    0x2084,   /* SUBSCRIPT FOUR */
    0
};

static const unsigned short int symbol_110f[] = {
    0x110f,   /* key */
    0x3131,   /* HANGUL LETTER KIYEOK */
    0x3132,   /* HANGUL LETTER SSANGKIYEOK */
    0x3133,   /* HANGUL LETTER KIYEOK-SIOS */
    0x3134,   /* HANGUL LETTER NIEUN */
    0x3135,   /* HANGUL LETTER NIEUN-CIEUC */
    0x3136,   /* HANGUL LETTER NIEUN-HIEUH */
    0x3137,   /* HANGUL LETTER TIKEUT */
    0x3138,   /* HANGUL LETTER SSANGTIKEUT */
    0x3139,   /* HANGUL LETTER RIEUL */
    0x313A,   /* HANGUL LETTER RIEUL-KIYEOK */
    0x313B,   /* HANGUL LETTER RIEUL-MIEUM */
    0x313C,   /* HANGUL LETTER RIEUL-PIEUP */
    0x313D,   /* HANGUL LETTER RIEUL-SIOS */
    0x313E,   /* HANGUL LETTER RIEUL-THIEUTH */
    0x313F,   /* HANGUL LETTER RIEUL-PHIEUPH */
    0x3140,   /* HANGUL LETTER RIEUL-HIEUH */
    0x3141,   /* HANGUL LETTER MIEUM */
    0x3142,   /* HANGUL LETTER PIEUP */
    0x3143,   /* HANGUL LETTER SSANGPIEUP */
    0x3144,   /* HANGUL LETTER PIEUP-SIOS */
    0x3145,   /* HANGUL LETTER SIOS */
    0x3146,   /* HANGUL LETTER SSANGSIOS */
    0x3147,   /* HANGUL LETTER IEUNG */
    0x3148,   /* HANGUL LETTER CIEUC */
    0x3149,   /* HANGUL LETTER SSANGCIEUC */
    0x314A,   /* HANGUL LETTER CHIEUCH */
    0x314B,   /* HANGUL LETTER KHIEUKH */
    0x314C,   /* HANGUL LETTER THIEUTH */
    0x314D,   /* HANGUL LETTER PHIEUPH */
    0x314E,   /* HANGUL LETTER HIEUH */
    0x314F,   /* HANGUL LETTER A */
    0x3150,   /* HANGUL LETTER AE */
    0x3151,   /* HANGUL LETTER YA */
    0x3152,   /* HANGUL LETTER YAE */
    0x3153,   /* HANGUL LETTER EO */
    0x3154,   /* HANGUL LETTER E */
    0x3155,   /* HANGUL LETTER YEO */
    0x3156,   /* HANGUL LETTER YE */
    0x3157,   /* HANGUL LETTER O */
    0x3158,   /* HANGUL LETTER WA */
    0x3159,   /* HANGUL LETTER WAE */
    0x315A,   /* HANGUL LETTER OE */
    0x315B,   /* HANGUL LETTER YO */
    0x315C,   /* HANGUL LETTER U */
    0x315D,   /* HANGUL LETTER WEO */
    0x315E,   /* HANGUL LETTER WE */
    0x315F,   /* HANGUL LETTER WI */
    0x3160,   /* HANGUL LETTER YU */
    0x3161,   /* HANGUL LETTER EU */
    0x3162,   /* HANGUL LETTER YI */
    0x3163,   /* HANGUL LETTER I */
    0
};

static const unsigned short int symbol_1110[] = {
    0x1110,   /* key */
    0x3165,   /* HANGUL LETTER SSANGNIEUN */
    0x3166,   /* HANGUL LETTER NIEUN-TIKEUT */
    0x3167,   /* HANGUL LETTER NIEUN-SIOS */
    0x3168,   /* HANGUL LETTER NIEUN-PANSIOS */
    0x3169,   /* HANGUL LETTER RIEUL-KIYEOK-SIOS */
    0x316A,   /* HANGUL LETTER RIEUL-TIKEUT */
    0x316B,   /* HANGUL LETTER RIEUL-PIEUP-SIOS */
    0x316C,   /* HANGUL LETTER RIEUL-PANSIOS */
    0x316D,   /* HANGUL LETTER RIEUL-YEORINHIEUH */
    0x316E,   /* HANGUL LETTER MIEUM-PIEUP */
    0x316F,   /* HANGUL LETTER MIEUM-SIOS */
    0x3170,   /* HANGUL LETTER MIEUM-PANSIOS */
    0x3171,   /* HANGUL LETTER KAPYEOUNMIEUM */
    0x3172,   /* HANGUL LETTER PIEUP-KIYEOK */
    0x3173,   /* HANGUL LETTER PIEUP-TIKEUT */
    0x3174,   /* HANGUL LETTER PIEUP-SIOS-KIYEOK */
    0x3175,   /* HANGUL LETTER PIEUP-SIOS-TIKEUT */
    0x3176,   /* HANGUL LETTER PIEUP-CIEUC */
    0x3177,   /* HANGUL LETTER PIEUP-THIEUTH */
    0x3178,   /* HANGUL LETTER KAPYEOUNPIEUP */
    0x3179,   /* HANGUL LETTER KAPYEOUNSSANGPIEUP */
    0x317A,   /* HANGUL LETTER SIOS-KIYEOK */
    0x317B,   /* HANGUL LETTER SIOS-NIEUN */
    0x317C,   /* HANGUL LETTER SIOS-TIKEUT */
    0x317D,   /* HANGUL LETTER SIOS-PIEUP */
    0x317E,   /* HANGUL LETTER SIOS-CIEUC */
    0x317F,   /* HANGUL LETTER PANSIOS */
    0x3180,   /* HANGUL LETTER SSANGIEUNG */
    0x3181,   /* HANGUL LETTER YESIEUNG */
    0x3182,   /* HANGUL LETTER YESIEUNG-SIOS */
    0x3183,   /* HANGUL LETTER YESIEUNG-PANSIOS */
    0x3184,   /* HANGUL LETTER KAPYEOUNPHIEUPH */
    0x3185,   /* HANGUL LETTER SSANGHIEUH */
    0x3186,   /* HANGUL LETTER YEORINHIEUH */
    0x3187,   /* HANGUL LETTER YO-YA */
    0x3188,   /* HANGUL LETTER YO-YAE */
    0x3189,   /* HANGUL LETTER YO-I */
    0x318A,   /* HANGUL LETTER YU-YEO */
    0x318B,   /* HANGUL LETTER YU-YE */
    0x318C,   /* HANGUL LETTER YU-I */
    0x318D,   /* HANGUL LETTER ARAEA */
    0x318E,   /* HANGUL LETTER ARAEAE */
    0
};

static const unsigned short int symbol_1111[] = {
    0x1111,   /* key */
    0xFF21,   /* FULLWIDTH LATIN CAPITAL LETTER A */
    0xFF22,   /* FULLWIDTH LATIN CAPITAL LETTER B */
    0xFF23,   /* FULLWIDTH LATIN CAPITAL LETTER C */
    0xFF24,   /* FULLWIDTH LATIN CAPITAL LETTER D */
    0xFF25,   /* FULLWIDTH LATIN CAPITAL LETTER E */
    0xFF26,   /* FULLWIDTH LATIN CAPITAL LETTER F */
    0xFF27,   /* FULLWIDTH LATIN CAPITAL LETTER G */
    0xFF28,   /* FULLWIDTH LATIN CAPITAL LETTER H */
    0xFF29,   /* FULLWIDTH LATIN CAPITAL LETTER I */
    0xFF2A,   /* FULLWIDTH LATIN CAPITAL LETTER J */
    0xFF2B,   /* FULLWIDTH LATIN CAPITAL LETTER K */
    0xFF2C,   /* FULLWIDTH LATIN CAPITAL LETTER L */
    0xFF2D,   /* FULLWIDTH LATIN CAPITAL LETTER M */
    0xFF2E,   /* FULLWIDTH LATIN CAPITAL LETTER N */
    0xFF2F,   /* FULLWIDTH LATIN CAPITAL LETTER O */
    0xFF30,   /* FULLWIDTH LATIN CAPITAL LETTER P */
    0xFF31,   /* FULLWIDTH LATIN CAPITAL LETTER Q */
    0xFF32,   /* FULLWIDTH LATIN CAPITAL LETTER R */
    0xFF33,   /* FULLWIDTH LATIN CAPITAL LETTER S */
    0xFF34,   /* FULLWIDTH LATIN CAPITAL LETTER T */
    0xFF35,   /* FULLWIDTH LATIN CAPITAL LETTER U */
    0xFF36,   /* FULLWIDTH LATIN CAPITAL LETTER V */
    0xFF37,   /* FULLWIDTH LATIN CAPITAL LETTER W */
    0xFF38,   /* FULLWIDTH LATIN CAPITAL LETTER X */
    0xFF39,   /* FULLWIDTH LATIN CAPITAL LETTER Y */
    0xFF3A,   /* FULLWIDTH LATIN CAPITAL LETTER Z */
    0xFF41,   /* FULLWIDTH LATIN SMALL LETTER A */
    0xFF42,   /* FULLWIDTH LATIN SMALL LETTER B */
    0xFF43,   /* FULLWIDTH LATIN SMALL LETTER C */
    0xFF44,   /* FULLWIDTH LATIN SMALL LETTER D */
    0xFF45,   /* FULLWIDTH LATIN SMALL LETTER E */
    0xFF46,   /* FULLWIDTH LATIN SMALL LETTER F */
    0xFF47,   /* FULLWIDTH LATIN SMALL LETTER G */
    0xFF48,   /* FULLWIDTH LATIN SMALL LETTER H */
    0xFF49,   /* FULLWIDTH LATIN SMALL LETTER I */
    0xFF4A,   /* FULLWIDTH LATIN SMALL LETTER J */
    0xFF4B,   /* FULLWIDTH LATIN SMALL LETTER K */
    0xFF4C,   /* FULLWIDTH LATIN SMALL LETTER L */
    0xFF4D,   /* FULLWIDTH LATIN SMALL LETTER M */
    0xFF4E,   /* FULLWIDTH LATIN SMALL LETTER N */
    0xFF4F,   /* FULLWIDTH LATIN SMALL LETTER O */
    0xFF50,   /* FULLWIDTH LATIN SMALL LETTER P */
    0xFF51,   /* FULLWIDTH LATIN SMALL LETTER Q */
    0xFF52,   /* FULLWIDTH LATIN SMALL LETTER R */
    0xFF53,   /* FULLWIDTH LATIN SMALL LETTER S */
    0xFF54,   /* FULLWIDTH LATIN SMALL LETTER T */
    0xFF55,   /* FULLWIDTH LATIN SMALL LETTER U */
    0xFF56,   /* FULLWIDTH LATIN SMALL LETTER V */
    0xFF57,   /* FULLWIDTH LATIN SMALL LETTER W */
    0xFF58,   /* FULLWIDTH LATIN SMALL LETTER X */
    0xFF59,   /* FULLWIDTH LATIN SMALL LETTER Y */
    0xFF5A,   /* FULLWIDTH LATIN SMALL LETTER Z */
    0
};

static const unsigned short int symbol_1112[] = {
    0x1112,   /* key */
    0x0391,   /* GREEK CAPITAL LETTER ALPHA */
    0x0392,   /* GREEK CAPITAL LETTER BETA */
    0x0393,   /* GREEK CAPITAL LETTER GAMMA */
    0x0394,   /* GREEK CAPITAL LETTER DELTA */
    0x0395,   /* GREEK CAPITAL LETTER EPSILON */
    0x0396,   /* GREEK CAPITAL LETTER ZETA */
    0x0397,   /* GREEK CAPITAL LETTER ETA */
    0x0398,   /* GREEK CAPITAL LETTER THETA */
    0x0399,   /* GREEK CAPITAL LETTER IOTA */
    0x039A,   /* GREEK CAPITAL LETTER KAPPA */
    0x039B,   /* GREEK CAPITAL LETTER LAMDA */
    0x039C,   /* GREEK CAPITAL LETTER MU */
    0x039D,   /* GREEK CAPITAL LETTER NU */
    0x039E,   /* GREEK CAPITAL LETTER XI */
    0x039F,   /* GREEK CAPITAL LETTER OMICRON */
    0x03A0,   /* GREEK CAPITAL LETTER PI */
    0x03A1,   /* GREEK CAPITAL LETTER RHO */
    0x03A3,   /* GREEK CAPITAL LETTER SIGMA */
    0x03A4,   /* GREEK CAPITAL LETTER TAU */
    0x03A5,   /* GREEK CAPITAL LETTER UPSILON */
    0x03A6,   /* GREEK CAPITAL LETTER PHI */
    0x03A7,   /* GREEK CAPITAL LETTER CHI */
    0x03A8,   /* GREEK CAPITAL LETTER PSI */
    0x03A9,   /* GREEK CAPITAL LETTER OMEGA */
    0x03B1,   /* GREEK SMALL LETTER ALPHA */
    0x03B2,   /* GREEK SMALL LETTER BETA */
    0x03B3,   /* GREEK SMALL LETTER GAMMA */
    0x03B4,   /* GREEK SMALL LETTER DELTA */
    0x03B5,   /* GREEK SMALL LETTER EPSILON */
    0x03B6,   /* GREEK SMALL LETTER ZETA */
    0x03B7,   /* GREEK SMALL LETTER ETA */
    0x03B8,   /* GREEK SMALL LETTER THETA */
    0x03B9,   /* GREEK SMALL LETTER IOTA */
    0x03BA,   /* GREEK SMALL LETTER KAPPA */
    0x03BB,   /* GREEK SMALL LETTER LAMDA */
    0x03BC,   /* GREEK SMALL LETTER MU */
    0x03BD,   /* GREEK SMALL LETTER NU */
    0x03BE,   /* GREEK SMALL LETTER XI */
    0x03BF,   /* GREEK SMALL LETTER OMICRON */
    0x03C0,   /* GREEK SMALL LETTER PI */
    0x03C1,   /* GREEK SMALL LETTER RHO */
    0x03C3,   /* GREEK SMALL LETTER SIGMA */
    0x03C4,   /* GREEK SMALL LETTER TAU */
    0x03C5,   /* GREEK SMALL LETTER UPSILON */
    0x03C6,   /* GREEK SMALL LETTER PHI */
    0x03C7,   /* GREEK SMALL LETTER CHI */
    0x03C8,   /* GREEK SMALL LETTER PSI */
    0x03C9,   /* GREEK SMALL LETTER OMEGA */
    0
};

static const unsigned short int symbol_1161[] = {
    0x1161,   /* key */
    0x3041,   /* HIRAGANA LETTER SMALL A */
    0x3042,   /* HIRAGANA LETTER A */
    0x3043,   /* HIRAGANA LETTER SMALL I */
    0x3044,   /* HIRAGANA LETTER I */
    0x3045,   /* HIRAGANA LETTER SMALL U */
    0x3046,   /* HIRAGANA LETTER U */
    0x3047,   /* HIRAGANA LETTER SMALL E */
    0x3048,   /* HIRAGANA LETTER E */
    0x3049,   /* HIRAGANA LETTER SMALL O */
    0x304A,   /* HIRAGANA LETTER O */
    0x304B,   /* HIRAGANA LETTER KA */
    0x304C,   /* HIRAGANA LETTER GA */
    0x304D,   /* HIRAGANA LETTER KI */
    0x304E,   /* HIRAGANA LETTER GI */
    0x304F,   /* HIRAGANA LETTER KU */
    0x3050,   /* HIRAGANA LETTER GU */
    0x3051,   /* HIRAGANA LETTER KE */
    0x3052,   /* HIRAGANA LETTER GE */
    0x3053,   /* HIRAGANA LETTER KO */
    0x3054,   /* HIRAGANA LETTER GO */
    0x3055,   /* HIRAGANA LETTER SA */
    0x3056,   /* HIRAGANA LETTER ZA */
    0x3057,   /* HIRAGANA LETTER SI */
    0x3058,   /* HIRAGANA LETTER ZI */
    0x3059,   /* HIRAGANA LETTER SU */
    0x305A,   /* HIRAGANA LETTER ZU */
    0x305B,   /* HIRAGANA LETTER SE */
    0x305C,   /* HIRAGANA LETTER ZE */
    0x305D,   /* HIRAGANA LETTER SO */
    0x305E,   /* HIRAGANA LETTER ZO */
    0x305F,   /* HIRAGANA LETTER TA */
    0x3060,   /* HIRAGANA LETTER DA */
    0x3061,   /* HIRAGANA LETTER TI */
    0x3062,   /* HIRAGANA LETTER DI */
    0x3063,   /* HIRAGANA LETTER SMALL TU */
    0x3064,   /* HIRAGANA LETTER TU */
    0x3065,   /* HIRAGANA LETTER DU */
    0x3066,   /* HIRAGANA LETTER TE */
    0x3067,   /* HIRAGANA LETTER DE */
    0x3068,   /* HIRAGANA LETTER TO */
    0x3069,   /* HIRAGANA LETTER DO */
    0x306A,   /* HIRAGANA LETTER NA */
    0x306B,   /* HIRAGANA LETTER NI */
    0x306C,   /* HIRAGANA LETTER NU */
    0x306D,   /* HIRAGANA LETTER NE */
    0x306E,   /* HIRAGANA LETTER NO */
    0x306F,   /* HIRAGANA LETTER HA */
    0x3070,   /* HIRAGANA LETTER BA */
    0x3071,   /* HIRAGANA LETTER PA */
    0x3072,   /* HIRAGANA LETTER HI */
    0x3073,   /* HIRAGANA LETTER BI */
    0x3074,   /* HIRAGANA LETTER PI */
    0x3075,   /* HIRAGANA LETTER HU */
    0x3076,   /* HIRAGANA LETTER BU */
    0x3077,   /* HIRAGANA LETTER PU */
    0x3078,   /* HIRAGANA LETTER HE */
    0x3079,   /* HIRAGANA LETTER BE */
    0x307A,   /* HIRAGANA LETTER PE */
    0x307B,   /* HIRAGANA LETTER HO */
    0x307C,   /* HIRAGANA LETTER BO */
    0x307D,   /* HIRAGANA LETTER PO */
    0x307E,   /* HIRAGANA LETTER MA */
    0x307F,   /* HIRAGANA LETTER MI */
    0x3080,   /* HIRAGANA LETTER MU */
    0x3081,   /* HIRAGANA LETTER ME */
    0x3082,   /* HIRAGANA LETTER MO */
    0x3083,   /* HIRAGANA LETTER SMALL YA */
    0x3084,   /* HIRAGANA LETTER YA */
    0x3085,   /* HIRAGANA LETTER SMALL YU */
    0x3086,   /* HIRAGANA LETTER YU */
    0x3087,   /* HIRAGANA LETTER SMALL YO */
    0x3088,   /* HIRAGANA LETTER YO */
    0x3089,   /* HIRAGANA LETTER RA */
    0x308A,   /* HIRAGANA LETTER RI */
    0x308B,   /* HIRAGANA LETTER RU */
    0x308C,   /* HIRAGANA LETTER RE */
    0x308D,   /* HIRAGANA LETTER RO */
    0x308E,   /* HIRAGANA LETTER SMALL WA */
    0x308F,   /* HIRAGANA LETTER WA */
    0x3090,   /* HIRAGANA LETTER WI */
    0x3091,   /* HIRAGANA LETTER WE */
    0x3092,   /* HIRAGANA LETTER WO */
    0x3093,   /* HIRAGANA LETTER N */
    0x30A1,   /* KATAKANA LETTER SMALL A */
    0x30A2,   /* KATAKANA LETTER A */
    0x30A3,   /* KATAKANA LETTER SMALL I */
    0x30A4,   /* KATAKANA LETTER I */
    0x30A5,   /* KATAKANA LETTER SMALL U */
    0x30A6,   /* KATAKANA LETTER U */
    0x30A7,   /* KATAKANA LETTER SMALL E */
    0x30A8,   /* KATAKANA LETTER E */
    0x30A9,   /* KATAKANA LETTER SMALL O */
    0x30AA,   /* KATAKANA LETTER O */
    0x30AB,   /* KATAKANA LETTER KA */
    0x30AC,   /* KATAKANA LETTER GA */
    0x30AD,   /* KATAKANA LETTER KI */
    0x30AE,   /* KATAKANA LETTER GI */
    0x30AF,   /* KATAKANA LETTER KU */
    0x30B0,   /* KATAKANA LETTER GU */
    0x30B1,   /* KATAKANA LETTER KE */
    0x30B2,   /* KATAKANA LETTER GE */
    0x30B3,   /* KATAKANA LETTER KO */
    0x30B4,   /* KATAKANA LETTER GO */
    0x30B5,   /* KATAKANA LETTER SA */
    0x30B6,   /* KATAKANA LETTER ZA */
    0x30B7,   /* KATAKANA LETTER SI */
    0x30B8,   /* KATAKANA LETTER ZI */
    0x30B9,   /* KATAKANA LETTER SU */
    0x30BA,   /* KATAKANA LETTER ZU */
    0x30BB,   /* KATAKANA LETTER SE */
    0x30BC,   /* KATAKANA LETTER ZE */
    0x30BD,   /* KATAKANA LETTER SO */
    0x30BE,   /* KATAKANA LETTER ZO */
    0x30BF,   /* KATAKANA LETTER TA */
    0x30C0,   /* KATAKANA LETTER DA */
    0x30C1,   /* KATAKANA LETTER TI */
    0x30C2,   /* KATAKANA LETTER DI */
    0x30C3,   /* KATAKANA LETTER SMALL TU */
    0x30C4,   /* KATAKANA LETTER TU */
    0x30C5,   /* KATAKANA LETTER DU */
    0x30C6,   /* KATAKANA LETTER TE */
    0x30C7,   /* KATAKANA LETTER DE */
    0x30C8,   /* KATAKANA LETTER TO */
    0x30C9,   /* KATAKANA LETTER DO */
    0x30CA,   /* KATAKANA LETTER NA */
    0x30CB,   /* KATAKANA LETTER NI */
    0x30CC,   /* KATAKANA LETTER NU */
    0x30CD,   /* KATAKANA LETTER NE */
    0x30CE,   /* KATAKANA LETTER NO */
    0x30CF,   /* KATAKANA LETTER HA */
    0x30D0,   /* KATAKANA LETTER BA */
    0x30D1,   /* KATAKANA LETTER PA */
    0x30D2,   /* KATAKANA LETTER HI */
    0x30D3,   /* KATAKANA LETTER BI */
    0x30D4,   /* KATAKANA LETTER PI */
    0x30D5,   /* KATAKANA LETTER HU */
    0x30D6,   /* KATAKANA LETTER BU */
    0x30D7,   /* KATAKANA LETTER PU */
    0x30D8,   /* KATAKANA LETTER HE */
    0x30D9,   /* KATAKANA LETTER BE */
    0x30DA,   /* KATAKANA LETTER PE */
    0x30DB,   /* KATAKANA LETTER HO */
    0x30DC,   /* KATAKANA LETTER BO */
    0x30DD,   /* KATAKANA LETTER PO */
    0x30DE,   /* KATAKANA LETTER MA */
    0x30DF,   /* KATAKANA LETTER MI */
    0x30E0,   /* KATAKANA LETTER MU */
    0x30E1,   /* KATAKANA LETTER ME */
    0x30E2,   /* KATAKANA LETTER MO */
    0x30E3,   /* KATAKANA LETTER SMALL YA */
    0x30E4,   /* KATAKANA LETTER YA */
    0x30E5,   /* KATAKANA LETTER SMALL YU */
    0x30E6,   /* KATAKANA LETTER YU */
    0x30E7,   /* KATAKANA LETTER SMALL YO */
    0x30E8,   /* KATAKANA LETTER YO */
    0x30E9,   /* KATAKANA LETTER RA */
    0x30EA,   /* KATAKANA LETTER RI */
    0x30EB,   /* KATAKANA LETTER RU */
    0x30EC,   /* KATAKANA LETTER RE */
    0x30ED,   /* KATAKANA LETTER RO */
    0x30EE,   /* KATAKANA LETTER SMALL WA */
    0x30EF,   /* KATAKANA LETTER WA */
    0x30F0,   /* KATAKANA LETTER WI */
    0x30F1,   /* KATAKANA LETTER WE */
    0x30F2,   /* KATAKANA LETTER WO */
    0x30F3,   /* KATAKANA LETTER N */
    0x30F4,   /* KATAKANA LETTER VU */
    0x30F5,   /* KATAKANA LETTER SMALL KA */
    0x30F6,   /* KATAKANA LETTER SMALL KE */
    0
};

static const unsigned short int symbol_1163[] = {
    0x1163,   /* key */
    0x0410,   /* CYRILLIC CAPITAL LETTER A */
    0x0411,   /* CYRILLIC CAPITAL LETTER BE */
    0x0412,   /* CYRILLIC CAPITAL LETTER VE */
    0x0413,   /* CYRILLIC CAPITAL LETTER GHE */
    0x0414,   /* CYRILLIC CAPITAL LETTER DE */
    0x0415,   /* CYRILLIC CAPITAL LETTER IE */
    0x0401,   /* CYRILLIC CAPITAL LETTER IO */
    0x0416,   /* CYRILLIC CAPITAL LETTER ZHE */
    0x0417,   /* CYRILLIC CAPITAL LETTER ZE */
    0x0418,   /* CYRILLIC CAPITAL LETTER I */
    0x0419,   /* CYRILLIC CAPITAL LETTER SHORT I */
    0x041A,   /* CYRILLIC CAPITAL LETTER KA */
    0x041B,   /* CYRILLIC CAPITAL LETTER EL */
    0x041C,   /* CYRILLIC CAPITAL LETTER EM */
    0x041D,   /* CYRILLIC CAPITAL LETTER EN */
    0x041E,   /* CYRILLIC CAPITAL LETTER O */
    0x041F,   /* CYRILLIC CAPITAL LETTER PE */
    0x0420,   /* CYRILLIC CAPITAL LETTER ER */
    0x0421,   /* CYRILLIC CAPITAL LETTER ES */
    0x0422,   /* CYRILLIC CAPITAL LETTER TE */
    0x0423,   /* CYRILLIC CAPITAL LETTER U */
    0x0424,   /* CYRILLIC CAPITAL LETTER EF */
    0x0425,   /* CYRILLIC CAPITAL LETTER HA */
    0x0426,   /* CYRILLIC CAPITAL LETTER TSE */
    0x0427,   /* CYRILLIC CAPITAL LETTER CHE */
    0x0428,   /* CYRILLIC CAPITAL LETTER SHA */
    0x0429,   /* CYRILLIC CAPITAL LETTER SHCHA */
    0x042A,   /* CYRILLIC CAPITAL LETTER HARD SIGN */
    0x042B,   /* CYRILLIC CAPITAL LETTER YERU */
    0x042C,   /* CYRILLIC CAPITAL LETTER SOFT SIGN */
    0x042D,   /* CYRILLIC CAPITAL LETTER E */
    0x042E,   /* CYRILLIC CAPITAL LETTER YU */
    0x042F,   /* CYRILLIC CAPITAL LETTER YA */
    0x0430,   /* CYRILLIC SMALL LETTER A */
    0x0431,   /* CYRILLIC SMALL LETTER BE */
    0x0432,   /* CYRILLIC SMALL LETTER VE */
    0x0433,   /* CYRILLIC SMALL LETTER GHE */
    0x0434,   /* CYRILLIC SMALL LETTER DE */
    0x0435,   /* CYRILLIC SMALL LETTER IE */
    0x0451,   /* CYRILLIC SMALL LETTER IO */
    0x0436,   /* CYRILLIC SMALL LETTER ZHE */
    0x0437,   /* CYRILLIC SMALL LETTER ZE */
    0x0438,   /* CYRILLIC SMALL LETTER I */
    0x0439,   /* CYRILLIC SMALL LETTER SHORT I */
    0x043A,   /* CYRILLIC SMALL LETTER KA */
    0x043B,   /* CYRILLIC SMALL LETTER EL */
    0x043C,   /* CYRILLIC SMALL LETTER EM */
    0x043D,   /* CYRILLIC SMALL LETTER EN */
    0x043E,   /* CYRILLIC SMALL LETTER O */
    0x043F,   /* CYRILLIC SMALL LETTER PE */
    0x0440,   /* CYRILLIC SMALL LETTER ER */
    0x0441,   /* CYRILLIC SMALL LETTER ES */
    0x0442,   /* CYRILLIC SMALL LETTER TE */
    0x0443,   /* CYRILLIC SMALL LETTER U */
    0x0444,   /* CYRILLIC SMALL LETTER EF */
    0x0445,   /* CYRILLIC SMALL LETTER HA */
    0x0446,   /* CYRILLIC SMALL LETTER TSE */
    0x0447,   /* CYRILLIC SMALL LETTER CHE */
    0x0448,   /* CYRILLIC SMALL LETTER SHA */
    0x0449,   /* CYRILLIC SMALL LETTER SHCHA */
    0x044A,   /* CYRILLIC SMALL LETTER HARD SIGN */
    0x044B,   /* CYRILLIC SMALL LETTER YERU */
    0x044C,   /* CYRILLIC SMALL LETTER SOFT SIGN */
    0x044D,   /* CYRILLIC SMALL LETTER E */
    0x044E,   /* CYRILLIC SMALL LETTER YU */
    0x044F,   /* CYRILLIC SMALL LETTER YA */
    0
};

static const unsigned short int symbol_1165[] = {
    0x1165,   /* key */
    0x00C6,   /* LATIN CAPITAL LIGATURE AE */
    0x00D0,   /* LATIN CAPITAL LETTER ETH */
    0x00AA,   /* FEMININE ORDINAL INDICATOR */
    0x0126,   /* LATIN CAPITAL LETTER H WITH STROKE */
    0x0132,   /* LATIN CAPITAL LIGATURE IJ */
    0x013F,   /* LATIN CAPITAL LETTER L WITH MIDDLE DOT */
    0x0141,   /* LATIN CAPITAL LETTER L WITH STROKE */
    0x00D8,   /* LATIN CAPITAL LETTER O WITH STROKE */
    0x0152,   /* LATIN CAPITAL LIGATURE OE */
    0x00BA,   /* MASCULINE ORDINAL INDICATOR */
    0x00DE,   /* LATIN CAPITAL LETTER THORN */
    0x0166,   /* LATIN CAPITAL LETTER T WITH STROKE */
    0x014A,   /* LATIN CAPITAL LETTER ENG */
    0x00E6,   /* LATIN SMALL LIGATURE AE */
    0x0111,   /* LATIN SMALL LETTER D WITH STROKE */
    0x00F0,   /* LATIN SMALL LETTER ETH */
    0x0127,   /* LATIN SMALL LETTER H WITH STROKE */
    0x0131,   /* LATIN SMALL LETTER DOTLESS I */
    0x0133,   /* LATIN SMALL LIGATURE IJ */
    0x0138,   /* LATIN SMALL LETTER KRA */
    0x0140,   /* LATIN SMALL LETTER L WITH MIDDLE DOT */
    0x0142,   /* LATIN SMALL LETTER L WITH STROKE */
    0x00F8,   /* LATIN SMALL LETTER O WITH STROKE */
    0x0153,   /* LATIN SMALL LIGATURE OE */
    0x00DF,   /* LATIN SMALL LETTER SHARP S */
    0x00FE,   /* LATIN SMALL LETTER THORN */
    0x0167,   /* LATIN SMALL LETTER T WITH STROKE */
    0x014B,   /* LATIN SMALL LETTER ENG */
    0x0149,   /* LATIN SMALL LETTER N PRECEDED BY APOSTROPHE */
    0
};

static const unsigned short int *symbol_table[] = {
    symbol_1100,
    symbol_1102,
    symbol_1103,
    symbol_1105,
    symbol_1106,
    symbol_1107,
    symbol_1109,
    symbol_110b,
    symbol_110c,
    symbol_110e,
    symbol_110f,
    symbol_1110,
    symbol_1111,
    symbol_1112,
    symbol_1161,
    symbol_1163,
    symbol_1165
};
